| Home | Libraries | People | FAQ | More

###### basic_multi_buffer::operator= (2 of 3 overloads)

Copy Assignment.

###### Synopsis

    basic_multi_buffer&
    operator=(
        basic_multi_buffer const& other);

###### Description

The container is assigned with the contents of `other` using copy semantics. The maximum size will be the same as the copied object.

After the copy, `this` will have zero writable bytes.

###### Parameters

Name | Description
--- | ---
`other` | The object to copy from.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | if `other.size()` exceeds the maximum allocation size of the allocator.